CSPMonitor(1)

NAME
cspmonitor - CSP server for monitoring RSerPool components

SYNOPSIS
cspmonitor [-localaddress=address:port] [-updateinterval=milliseconds] [-purgeinterval=milliseconds] [-compact] [-full] [-maxpr=PRs] [-maxpe=PEs] [-maxpu=PUs] [-maxlocationsize=characters] [-logappend=filename] [-logcolor=on|off] [-logfile=filename] [-loglevel=0-9]

DESCRIPTION
cspmonitor is a simple simple Component Status Protocol (CSP) monitor server. It receives status messages from components via UDP and prints them on the screen. This program is useful to keep an overview of running RSerPool components.

ARGUMENTS
The following options are available:

-localaddress=address:port
    Sets the local UDP socket address and port number. By default, it listens on all addresses, port 2960.

-updateinterval=milliseconds
    Sets the update interval in milliseconds. Default: 1000.

-purgeinterval=milliseconds
    Sets the purge interval in milliseconds. Default: 30000.

-compact
    Turns on compact status display mode.

-full
    Turns on full status display mode (default).

-maxpr=PRs
    Limits the number of PRs to be displayed to the given number.

-maxpr=PEs
    Limits the number of PEs to be displayed to the given number.

-maxpr=PUs
    Limits the number of PUs to be displayed to the given number.

-maxlocationsize=characters
    Limits the location string size to the given number of characters.

Logging Parameters:

    -logappend=filename
        Write logging output to a file (default is stdout); output will be appended to given file.

    -logcolor=on|off
        Turns ANSI colorization of the logging output on or off.

    -logfile=filename
        Write logging output to a file (default is stdout); given file will be overwritten.

    -loglevel=0-9
        Sets the logging verbosity from 0 (none) to 9 (very verbose). It is recommended to use at least a value of 2 to see possibly important error messages and warnings.

ENVIRONMENT
cspmonitor uses the environment variables CSP_SERVER and CSP_INTERVAL to define a CSP server to send reports to in the specified interval.

DIAGNOSTICS
If loglevel>0, log messages will be printed to stdout or into a specified log file.

SEE ALSO
For a detailed introduction to RSerPool, see:
https://duepublico.uni-duisburg-essen.de/servlets/DerivateServlet/Derivate-16326/Dre2006_final.pdf

Thomas Dreibholz's RSerPool Page:
https://www.nntb.no/~dreibh/rserpool/